##
## Chemical Biophysics Symposium, 2023
## Erik Spence
## Introduction to Neural Networks

#######################################################


from tensorflow.keras.datasets import mnist
import tensorflow.keras.utils as ku


#######################################################


## A function which grabs the MNIST dataset and one-hot-encodes the
## targets.
def get_data():

    ## Grab the data.
    (x_train, y_train), (x_test, y_test) = mnist.load_data()

    ## One-hot-encode the targets.
    y_train = ku.to_categorical(y_train, 10)
    y_test = ku.to_categorical(y_test, 10)

    ## Return the resulting data.
    return x_train, x_test, y_train, y_test


#######################################################
