##
## Chemical Biophysics Symposium, 2023
## Erik Spence
## Introduction to Neural Networks

#######################################################


import tensorflow.keras.models as km
import tensorflow.keras.layers as kl


#######################################################


## A function to build a Keras model for our second neural network
## example.
def build_model(numnodes):
    
    ## Initialize an empty model.
    model = km.Sequential()
    
    ## Add the hidden layer, using 'tanh' as the activation function
    ## this time.
    model.add(kl.Dense(numnodes, input_dim = 784, activation = 'tanh'))
    
    ## Add the output layer, using 'softmax' as the activation
    ## function.
    model.add(kl.Dense(10, activation = 'softmax'))
    
    ## Return the model.
    return model


#######################################################
